Loading...
Searching...
No Matches
pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar > Class Template Reference
Module registration

WarpPointRigid3D enables 6D (3D rotation + 3D translation) transformations for points. More...

`#include <pcl/registration/warp_point_rigid_6d.h>`

Inheritance diagram for pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >:

## Public Types

using | Matrix4 = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::Matrix4
using | VectorX = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::VectorX
using | Ptr = shared_ptr<WarpPointRigid6D<PointSourceT, PointTargetT, Scalar>>
using | ConstPtr
Public Types inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, float >
using | Matrix4
using | VectorX
using | Vector4
using | Ptr
using | ConstPtr

## Public Member Functions

| WarpPointRigid6D ()
| ~WarpPointRigid6D () override=default
| Empty destructor.
void | setParam (const VectorX &p) override
| Set warp parameters.
Public Member Functions inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, float >
| WarpPointRigid (int nr_dim)
| Constructor.
virtual | ~WarpPointRigid ()=default
| Destructor.
virtual void | setParam (const VectorX &p)=0
| Set warp parameters.
void | warpPoint (const PointSourceT &pnt_in, PointSourceT &pnt_out) const
| Warp a point given a transformation matrix.
int | getDimension () const
| Get the number of dimensions.
const Matrix4 & | getTransform () const
| Get the Transform used.

## Additional Inherited Members

Protected Attributes inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, float >
int | nr_dim_
Matrix4 | transform_matrix_

## Detailed Description

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>
class pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >

WarpPointRigid3D enables 6D (3D rotation + 3D translation) transformations for points.

Note
  The class is templated on the source and target point types as well as on the output scalar of the transformation matrix (i.e., float or double). Default: float.

Author
  Radu B. Rusu

Definition at line 56 of file warp_point_rigid_6d.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

using pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::ConstPtr

Initial value:
shared_ptr<const WarpPointRigid6D<PointSourceT, PointTargetT, Scalar>>

Definition at line 64 of file warp_point_rigid_6d.h.

## Matrix4

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

using pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::Matrix4 = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::Matrix4

Definition at line 60 of file warp_point_rigid_6d.h.

## Ptr

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

using pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::Ptr = shared_ptr<WarpPointRigid6D<PointSourceT, PointTargetT, Scalar>>

Definition at line 63 of file warp_point_rigid_6d.h.

## VectorX

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

using pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::VectorX = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::VectorX

Definition at line 61 of file warp_point_rigid_6d.h.

## Constructor & Destructor Documentation

## WarpPointRigid6D()

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::WarpPointRigid6D | ( |  | ) |

inline

Definition at line 67 of file warp_point_rigid_6d.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, float >::WarpPointRigid().

## ~WarpPointRigid6D()

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::~WarpPointRigid6D | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## setParam()

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>

void pcl::registration::WarpPointRigid6D< PointSourceT, PointTargetT, Scalar >::setParam | ( | const VectorX & | p | ) |

inline override

Set warp parameters.

Note
  Assumes the quaternion parameters are normalized.

Parameters

  [in] | p | warp parameters (tx ty tz qx qy qz)

Definition at line 77 of file warp_point_rigid_6d.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, float >::transform_matrix_.

The documentation for this class was generated from the following file:

- pcl/registration/warp_point_rigid_6d.h